#ifndef POLYGUN_ENGINE_HPP
#define POLYGUN_ENGINE_HPP

#include "game/core.hpp"
#include "game/renderer/shader.hpp"
#include "game/engine/player_camera.hpp"

namespace polygun::engine {

	class Engine {
	private:
		GLFWwindow* m_window;
		Camera m_camera;

		float m_delta_time;
		float m_last_frame;

	public:
		Engine() = default;
		~Engine() = default;

		void init();
		void render();
		void update();
	};

}
#endif // POLYGUN_ENGINE_HPP
